Subject: bug#18939: 24.4; middle-click sometimes pastes data other than the PRIMARY selection

From: Stefan Monnier <[email-masked]>
Date: Sat, 21 Mar 2015 18:25:01 -0400

>> % emacs24 -Q    ; That's Debian's Emacs-24.4
>> M-< C-k
>> C-x 5 b *Messages*
>> drag-mouse-1               [ in *Messages*, to select "information" ]
> It step 3, it must be another window

With C-x 5 b I did get another window (frame).

> (e.g. xterm, or even some other Emacs window at least if it is not the
> same process).

I haven't tried with another Emacs process, but I did try with an xterm
and got the same result.
What do you get if you follow my recipe?

        Stefan